## org.h2.dev.security
Class SecureKeyStoreBuilder

    java.lang.Object
      org.h2.dev.security.SecureKeyStoreBuilder

    public class SecureKeyStoreBuilder

extends java.lang.Object

Tool to generate source code for the SecureSocketFactory. First, create a keystore using:

     keytool -genkey -alias h2 -keyalg RSA -dname "cn=H2"
         -validity 25000 -keypass h2pass -keystore h2.keystore
         -storepass h2pass

Then run this application to generate the source code. Then replace the code in the function SecureSocketFactory.getKeyStore as specified

Method Summary
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`